Skip to content

MessagesController_send

PUT
/api/chat/streams/{streamId}/messages/{messageId}
curl --request PUT \
--url https://api.streams-ai.com/api/chat/streams/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/messages/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Content-Type: application/json' \
--data '{ "content": { "blocks": [ { "type": "rich_text", "elements": [ { "type": "paragraph", "direction": "ltr", "children": [ { "type": "text", "text": "example", "style": { "bold": true, "italic": true, "strikethrough": true, "code": true } } ] } ] } ] }, "assetIds": [], "replyToMessageId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "giphy": { "id": "example", "title": "example", "url": "https://example.com", "stillUrl": "https://example.com", "width": 1, "height": 1, "rating": "pg" } }'
streamId
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
messageId
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
Media typeapplication/json
object
content
required
object
blocks
required
Array<object>
>= 1 items
One of:
object
type
required
string
Allowed values: rich_text
elements
required
Array<object>
One of:
object
type
required
string
Allowed values: paragraph
direction
string
Allowed values: ltr rtl
children
required
Array<object>
One of:
object
type
required
string
Allowed values: text
text
required
string
style
object
bold
boolean
italic
boolean
strikethrough
boolean
code
boolean
assetIds
Array<string>
default: <= 10 items
replyToMessageId
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
giphy
object
id
required
string
>= 1 characters <= 64 characters
title
string
<= 256 characters
url
required
string format: uri
stillUrl
required
string format: uri
width
required
integer
<= 4096
height
required
integer
<= 4096
rating
required
string
Allowed values: pg